Bug 740891 - [ipa webui] Deleting a host in HBAC Rule without selecting it, throws a browser error instead of an IPA error
Summary: [ipa webui] Deleting a host in HBAC Rule without selecting it, throws a brows...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: IDM QE LIST
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-23 16:31 UTC by Namita Soman
Modified: 2011-12-06 18:32 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: When a Delete Host button is clicked in a Web UI HBAC Rule Accessing section, a browser error dialog is displayed instead of a standard error Web UI error dialog box. Consequence: User experience is not consistent Fix: Disable the Delete Host button until a Host is chosen Result: The browser error is no longer shown as user always have to choose at least one Host before deleting it
Clone Of:
Environment:
Last Closed: 2011-12-06 18:32:41 UTC


Attachments (Terms of Use)
error message (170.64 KB, image/jpeg)
2011-09-23 16:54 UTC, Namita Soman
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Namita Soman 2011-09-23 16:31:15 UTC
Description of problem:
For an HBAC rule, you can choose to add a Host in "Accessing" section. Now if you select to delete this without selecting this Host, an error is thrown as indicated in the attachment

Applies to Sudo page as well

Version-Release number of selected component (if applicable):
ipa-server-2.1.1-4.el6.x86_64


How reproducible:
always

Steps to Reproduce:
1. Add and edit HBAC rule
2. Go to its Accessing section, and click to Add a Host
3. Without choosing this Host, click on Delete

Actual results:
Error is thrown - select entries to be removed, with title - The page at <servername> says - (with a firefox icon)


Expected results:
Message is good, but should be an IPA error with a green title

Additional info:

Comment 2 Namita Soman 2011-09-23 16:54:01 UTC
Created attachment 524659 [details]
error message

Comment 3 Rob Crittenden 2011-09-23 17:33:31 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1854

Comment 7 Namita Soman 2011-10-11 14:21:17 UTC
Verified using ipa-server-2.1.2-2.el6.x86_64
Delete button is disabled till an entry is selected

Comment 8 Martin Kosek 2011-11-01 08:46:01 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: When a Delete Host button is clicked in a Web UI HBAC Rule Accessing section, a browser error dialog is displayed instead of a standard error Web UI error dialog box.
Consequence: User experience is not consistent
Fix: Disable the Delete Host button until a Host is chosen
Result: The browser error is no longer shown as user always have to choose at least one Host before deleting it

Comment 9 errata-xmlrpc 2011-12-06 18:32:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.